#pragma once
#include "Entity.h"
#include "CS_Boss_SoapKingMagicFloor.h"
//法术：压墙，设置一道墙，然后向目标方向挤压
class CS_Boss_SoapKingMagicFloor_PressWall :
    public ActionEntity
{
public:
    CS_Boss_SoapKingMagicFloor_PressWall(std::shared_ptr<Entity> parent, float x, float y, float angle, int count, float pressAngle);
    void Step() override;
    static void SetPos(float angle, float& outX, float& outY);
private:
    float setAngle = 0;//上右下左
    int setCount = 0;
    float setPressAngle = 0;
    int setInterval_count = 0;
    int setInterval_count_max = 8;
    std::list< std::weak_ptr<CS_Boss_SoapKingMagicFloor>> floorArr;
};

void SetCS_Boss_SoapKingMagicFloor_PressWall(std::shared_ptr<Entity> parent, float x, float y, float angle, int count, float pressAngle);